summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-01-21 07:23:07 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-01-21 07:23:07 +0000
commite38a0ddb7949a65c01841917fc2962fb0b6ec0df (patch)
tree09bf93eb5309072d7dce8ad1deb82566a6a53787 /dev-python
parent6e7c856828b169114c1fdcda6e0c3c9a2014c5aa (diff)
downloadbaldeagleos-repo-e38a0ddb7949a65c01841917fc2962fb0b6ec0df.tar.gz
baldeagleos-repo-e38a0ddb7949a65c01841917fc2962fb0b6ec0df.tar.xz
baldeagleos-repo-e38a0ddb7949a65c01841917fc2962fb0b6ec0df.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/apprise/Manifest2
-rw-r--r--dev-python/apprise/apprise-1.9.7.ebuild (renamed from dev-python/apprise/apprise-1.9.5.ebuild)4
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.42.31.ebuild53
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.42.31.ebuild67
-rw-r--r--dev-python/django-debug-toolbar/Manifest2
-rw-r--r--dev-python/django-debug-toolbar/django-debug-toolbar-6.2.0.ebuild46
-rw-r--r--dev-python/elementpath/Manifest1
-rw-r--r--dev-python/elementpath/elementpath-5.1.1.ebuild34
-rw-r--r--dev-python/fastbencode/Manifest26
-rw-r--r--dev-python/fastbencode/fastbencode-0.3.9.ebuild (renamed from dev-python/fastbencode/fastbencode-0.3.6.ebuild)31
-rw-r--r--dev-python/pdm/Manifest1
-rw-r--r--dev-python/pdm/pdm-2.26.3.ebuild84
-rw-r--r--dev-python/poetry/Manifest2
-rw-r--r--dev-python/poetry/poetry-2.3.1.ebuild88
-rw-r--r--dev-python/pyparsing/Manifest1
-rw-r--r--dev-python/pyparsing/pyparsing-3.3.2.ebuild59
-rw-r--r--dev-python/sarge/Manifest1
-rw-r--r--dev-python/sarge/sarge-0.1.8.ebuild30
-rw-r--r--dev-python/soupsieve/Manifest2
-rw-r--r--dev-python/soupsieve/soupsieve-2.8.3.ebuild (renamed from dev-python/soupsieve/soupsieve-2.8.ebuild)4
22 files changed, 422 insertions, 118 deletions
diff --git a/dev-python/apprise/Manifest b/dev-python/apprise/Manifest
index 1ff078df87b3..72ffb28ce749 100644
--- a/dev-python/apprise/Manifest
+++ b/dev-python/apprise/Manifest
@@ -1,2 +1,2 @@
-DIST apprise-1.9.5.tar.gz 1877134 BLAKE2B d26bd5fb1d2076b25129f89919282db0910f32b16947352f7f0b3d1478209506d9a536fb07ab129f5e2d9847a5c8f32fbcb4826dca1fdb6a6d86905e45cf92fe SHA512 a28f873e56dd1c4fd744f0d402765499144f1f8f76b55ee23bef2c80573cff6f744d66ab0707bef27f5f50165d05ec1454e0903ea018fc147e9b75fb89e4a756
DIST apprise-1.9.6.tar.gz 1921714 BLAKE2B 5da45ce6a7d150cf40d61bd9fe43abe7da404331d9a6571250db1478b9cb2ef513be015fbf5b70ce6ecd415ee6899b3f1c135de0624b7fa0275b9f92ad357992 SHA512 06a1dc8cc47519a0af38f23083e525c18ee27a539756bff16ee15ac3af0d5b9730f3a7f2906813dc84c40248d4dbbb38d44ab4f761183dda6c8bfb9ad29aca58
+DIST apprise-1.9.7.tar.gz 1937173 BLAKE2B 31935acf742aab2f2b1e7bc83563a62e37b879af73b9bfd21ac555e7ba8c2248616baa8125be95a5dce488fc9b286e3dc26b5883a70e788cd5669817225ff104 SHA512 8d87df66dde6fb66f515e5dbbfa38c0bf82605531f2f2c0d521822776e05796bedc5453e4cfb011da67c0f62ab1a8faa2d5563c8398c46c9d0a67d4351d61ba4
diff --git a/dev-python/apprise/apprise-1.9.5.ebuild b/dev-python/apprise/apprise-1.9.7.ebuild
index c695c695fda2..5b7de2265e2f 100644
--- a/dev-python/apprise/apprise-1.9.5.ebuild
+++ b/dev-python/apprise/apprise-1.9.7.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -16,7 +16,7 @@ HOMEPAGE="
LICENSE="BSD-2"
SLOT="0"
-KEYWORDS="amd64 ~arm arm64 ~riscv"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv"
IUSE="+dbus mqtt"
RDEPEND="
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index a1e3d77148f1..b261ce91a0c9 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -3,4 +3,5 @@ DIST boto3-1.42.17.gh.tar.gz 1067041 BLAKE2B 74c4adba3da630a0b8ccde824f1e9632729
DIST boto3-1.42.21.gh.tar.gz 1068192 BLAKE2B 281cfe3d55f0b094ca7b7e3b192c94736d91ea22dc2de9a1328caf3b3ab01d919be493259cf4da5bcead56ec4505a35a9be2ceed3b1ee5f260551ee6711d0cd9 SHA512 922629f1718a1a900da508528bb91c5bd989bb128d773758425354e2fc5877cd67ae93c5a5044365239eced04cf4dce4700dc64d6c563b62a014965def539429
DIST boto3-1.42.25.gh.tar.gz 1069210 BLAKE2B 33aff7204332da82b7b5df93b74a2b17538734441d3cbd8d2dd971e71794301b5ee281ccf6c9aade4848a36f0611e4cc4b5531c2aff8eba920a78eacbe3f6142 SHA512 71b5976e8b5f67f33a25f4e7a27e0a7d2cf0b96ed10558bb3fda181569a77c9323d991376b139eb2b0e2b93cd3dd93e083f1c56bd06956d387ee587a1145166c
DIST boto3-1.42.30.gh.tar.gz 1072966 BLAKE2B c770c5027e9791a2b5cf0a77c907c260c3fd41b2bce68fa9da1f6bd6afe850a0c6c1d438adce8b07294057e2fb86929e713ba23564ffd3e6d1dd8584e6a34bba SHA512 fc5d4ddcf1e4428cfdb851af21ee5b0cb4eeb7a050288fb3b74001a8ca4cfbdad36d837fab1b4836b551e277e381b692fdc24df5de6c65a217cb5ca38a28979c
+DIST boto3-1.42.31.gh.tar.gz 1073739 BLAKE2B b8d4917f4567d05278278094ff41e6278746838ba1587917cd6eb018644b2c3b2fe8a82d32537cec19456f0c2afde4b828280ea026637fdf9371fa7db2b3522e SHA512 e8a9f717ba3ab176f1b6450e2143d06850ce89457193df895ba595131dda2149d315db0051656066268680420f8bbabf738f2517dd6ff0621a106fd16df1cc36
DIST boto3-1.42.9.gh.tar.gz 1059745 BLAKE2B 78fba4fe807a3ea8eea22cd81cff67c90cd36e281665545bc9d7dc9bfaa1089d668e1994ba6e950eedfe2cfa1495f192b43f8fdae2b9b8b6bd74b62e0ab699d8 SHA512 92ecb0d609ba2f7df6a444b9d840e2a070b22ec38f8ae3bd376e9473e5b4efbefc9bc924046cc6d79576967e33eed270633396171e6102331b58519021435fe8
diff --git a/dev-python/boto3/boto3-1.42.31.ebuild b/dev-python/boto3/boto3-1.42.31.ebuild
new file mode 100644
index 000000000000..6e5f06a012ad
--- /dev/null
+++ b/dev-python/boto3/boto3-1.42.31.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.16.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index a035ee257fcd..bfd67ac20fb0 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -3,4 +3,5 @@ DIST botocore-1.42.17.gh.tar.gz 15777020 BLAKE2B b703c802f61993c6c3bed03e61f6e1d
DIST botocore-1.42.21.gh.tar.gz 15742994 BLAKE2B 65de15224f2c720267d0ccd3c42001a2320baa4493cff11f86602dd3498391bf5782f79ed072a8edf14c8fd3d02a8fe1ca9d50c21655fe7fb72da023efde4581 SHA512 2ef0b6eba5d98816e7972614ff113fa0f134da50d7f0d03109668be18d3d0d69bd27e9c4f7afec7a59a78d9c0e71d9c26577c66106ac48b676fbf78ee2069e5a
DIST botocore-1.42.25.gh.tar.gz 15746961 BLAKE2B ba4474223e49f36be485d147d54fa5ed1b848022ef4d1fca9169c1cb2c29adafb487834e3bf99154cd658c9c3d47da9cdd6f42ed626c868e258b58aaeb0ce1c6 SHA512 3ab0747b0778d0d0172c12edc76cc7ee647e063c6b86f69998d02bee848cf1fb400c4e6e43ba6acad00846b18ce7de7acf7bab1daf6c1e864bfa8771baa17a6d
DIST botocore-1.42.30.gh.tar.gz 15764580 BLAKE2B 001377314a8c2231b838b48192498c4d4873de90017eb0c82c7409db210f1dbd09db30925d0b4ae7feb9e270ff947b16308a625fdb5910ca95220e443d104461 SHA512 9ab375ba9284780d347eac25b5446b0571991496897732e0dac457d2d8e7b12aa6b5b417478ed02516a407fa689953a715877590a9b16b3c17c584810cc6a8c9
+DIST botocore-1.42.31.gh.tar.gz 15766802 BLAKE2B 06171344b9d0c33342ae0728ca4b71a2cfe706b455638668f63bd2b015810460cb12727cadd980ca76a0cc53690c0212418c4afad6fa917336df8eb41d690ddd SHA512 8955a0eef5d28bc1dae69adaf4900e3222a86d83c6dea448b7d845601c3a99d4d440d3fb38bc04d2b953bf274f54df94a588e5d2c2914337b3d61a6b8e2782d4
DIST botocore-1.42.9.gh.tar.gz 15723096 BLAKE2B 2cb1489fa48546abe3306935367744f918d053e02af58d6b85ed84a50bbfc659ec20763055e9783d492f6f248af81e571b8452487bf8ca3267e15d12ce8773bb SHA512 54cc19ca34474e8bfd7eda403452af24b6f73e611442ba4b7ed5f4f223ae279bdf95a3bc4945d16eba6ccca53d2dbefee6d2157ecb6b4ef23a1e960d5469dcc9
diff --git a/dev-python/botocore/botocore-1.42.31.ebuild b/dev-python/botocore/botocore-1.42.31.ebuild
new file mode 100644
index 000000000000..f6ce0d9ed8d5
--- /dev/null
+++ b/dev-python/botocore/botocore-1.42.31.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/django-debug-toolbar/Manifest b/dev-python/django-debug-toolbar/Manifest
index 8e78dad75665..8c344daf7f65 100644
--- a/dev-python/django-debug-toolbar/Manifest
+++ b/dev-python/django-debug-toolbar/Manifest
@@ -1,2 +1,4 @@
DIST django_debug_toolbar-6.1.0.tar.gz 309141 BLAKE2B 885d69d0a93eaaca1c713acfa0a0c78b5f7d53f7f4d9a59707564a132312008cbc95177d2718c86e754d7f7b1546170f398cbad5f14c60337bfb6254de3e4691 SHA512 e2eaa16460b3cb81666984136e3ad492dad9444f356757c95c94ea23547fcb5a7c7d8928e325ff1b0e08b6ce1b5cbe58bbc52933a8bb3a78676bc39a0f0c752a
DIST django_debug_toolbar-6.1.0.tar.gz.provenance 10248 BLAKE2B 7dee60be72a31a7a35e434ddc0f58933175385d3c1c306c6beb901f125e5314d067fb24cdf1a0a145479f561b47eb1451f01a0b4b0d1424cc7ed4434d1182e04 SHA512 86e14abbabdf4d17131bdb8952e6791c2cb2603c99c232852ccd44475cdb33d871a8e26b6019b088478ae2707730c35939424b33f33232e2e3365855dfa3a610
+DIST django_debug_toolbar-6.2.0.tar.gz 313779 BLAKE2B 2199e67245f5ae9d9b77690080317ec8eefac6b23db005151fc040d7acece00601f084aa5fefc6e8424a186ab4608e56ee1f08477a6a1ca5610c96403dad4a5b SHA512 8a724d56758821ed0ada3faced62b61676c7c590e3a94af2889f5386b492bf2118c5cff534895922d8a6bdf3388a221765ebbc4a727ac5eee8e9ed15361ea10c
+DIST django_debug_toolbar-6.2.0.tar.gz.provenance 9901 BLAKE2B e436af84063a5cd23a1c46f36bbda597ba3293645a5608d6fba70d08df67888638cb8c5c27e6530548fa9868cc436f29b776976ccc35597f3c2c073950c38b05 SHA512 ff97bcffa93a200e70095ced7882015dafc9f9d4370aef68ad60cec822c0229311cadc82fd5c92f736a480c50ff65a523cd16ff5272b2d44c7b3daf771914fe7
diff --git a/dev-python/django-debug-toolbar/django-debug-toolbar-6.2.0.ebuild b/dev-python/django-debug-toolbar/django-debug-toolbar-6.2.0.ebuild
new file mode 100644
index 000000000000..e11444738de7
--- /dev/null
+++ b/dev-python/django-debug-toolbar/django-debug-toolbar-6.2.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 2023-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYPI_VERIFY_REPO=https://github.com/django-commons/django-debug-toolbar
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A configurable set of panels that display various debug information"
+HOMEPAGE="
+ https://github.com/django-commons/django-debug-toolbar/
+ https://pypi.org/project/django-debug-toolbar/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/django-4.2.9[${PYTHON_USEDEP}]
+ elibc_musl? ( dev-python/tzdata )
+"
+
+BDEPEND="
+ test? (
+ dev-python/django-template-partials[${PYTHON_USEDEP}]
+ dev-python/html5lib[${PYTHON_USEDEP}]
+ )
+"
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # requires django-csp
+ rm tests/test_csp_rendering.py || die
+}
+
+python_test() {
+ "${EPYTHON}" -m django test -v 2 --settings tests.settings tests \
+ || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/elementpath/Manifest b/dev-python/elementpath/Manifest
index 6dadc77d6285..887acbf79453 100644
--- a/dev-python/elementpath/Manifest
+++ b/dev-python/elementpath/Manifest
@@ -1,2 +1,3 @@
DIST elementpath-5.0.4.tar.gz 365851 BLAKE2B 6e3a36b62de7628f50bb990950fbda96a805338137fa48533214e463edc400c922a3812ebe712fea715353f56c314455d99d16bbc34fbb9e48ea8bc896f2c235 SHA512 1c7ddc20a6c0ce4c6af9ccea201ec57773cc443e77412c597088c46f6b00c8719821a74b28254b7496b17e4f8c5800a6094808f658caa84dfe3f2c79db454cd0
DIST elementpath-5.1.0.tar.gz 374413 BLAKE2B f437b8c27dbcf897cbc91dc8bb6c6b57fcf0b58b99a82c6eb72cbb48a5c155334996dcc223a2d31294cc1a187b0b15da45469a4273ae9dd927e9ea88d22f6ed6 SHA512 35782ef58d72308d5198f6a257f10d174378a5f5ac3d8aff8e2e3787d6de3d786c885610f435eb43f0933459e8e580b7eeea78aa7cb7a90e51def9dd2964b628
+DIST elementpath-5.1.1.tar.gz 375378 BLAKE2B f9992f063753c1e836e346759ec8eaf6444ccd1228aabc0bdf15fdc0c655117ff89ef4277a7368fcb320762da707486c9f7ba774aef70a92f31c300fd238cc3c SHA512 2787eb8879064f0ecad49ec35f6804630bc3cab192d314ddd6a2abaa651c932044210780983e17a0cdbe9ffabf64237bd25382e66092d2c5ec599d67791b9554
diff --git a/dev-python/elementpath/elementpath-5.1.1.ebuild b/dev-python/elementpath/elementpath-5.1.1.ebuild
new file mode 100644
index 000000000000..e7e9db41ac66
--- /dev/null
+++ b/dev-python/elementpath/elementpath-5.1.1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2019-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="XPath 1.0/2.0 parsers and selectors for ElementTree and lxml"
+HOMEPAGE="
+ https://github.com/sissaschool/elementpath/
+ https://pypi.org/project/elementpath/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+BDEPEND="
+ test? (
+ dev-python/lxml[${PYTHON_USEDEP}]
+ >=dev-python/xmlschema-4.0.1[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # fails for some reason, more fit for upstream testing anyway
+ tests/test_typing.py
+)
diff --git a/dev-python/fastbencode/Manifest b/dev-python/fastbencode/Manifest
index 2e0288d428fc..93e0cfe5b97c 100644
--- a/dev-python/fastbencode/Manifest
+++ b/dev-python/fastbencode/Manifest
@@ -1,34 +1,34 @@
DIST autocfg-1.5.0.crate 18729 BLAKE2B 27580e39b366c6fca02c9db09997b6415c409f12068f1249184268bf96fd85ba659e25ec730f99e10caf452f96c486f3d7442bf09c4552b5f39519b21d6f88cc SHA512 f279856f234d39d369623576acf9546a1ca24d7fe449f36d4fb93ea75a7efaf2c4015b9616a69bbbed358c5e5882e16b045352f046aa4c049b3d13b1e8257b08
-DIST fastbencode-0.3.6.tar.gz 16915 BLAKE2B 720c5f6c5531548850d7231f244d974d4a05c2c1725b4e0f8aff44289aff7aedbba7e9c76465145ead3629c3ec5cdc819de2ff0376f6b60837c2f3dddedf543a SHA512 c7c20f76144f99233212f52d584156050f84744669860d72b1c7295a1fb90fd929fa03383bf83330a099ea1c594396d2b4165dc509a974c67e16a4ccbc534450
DIST fastbencode-0.3.7.tar.gz 16931 BLAKE2B 7ae8ed990f82541419bb416318ce6e819f944c8afebc44b93a74b7673369e057978b18cacb0a12a530bdaf80df3819a7b28c10c634c9c90efe7864aaf34f624b SHA512 27610d7f11cbb6a21fd762e67756388ca0c4eb984263a675787d8c67b937f8fbc2add9622c399ccc946128a8624212e0b66dae1190fb088d5a1d3e1a69e5f42b
DIST fastbencode-0.3.7.tar.gz.provenance 9388 BLAKE2B 46ee48e889a31465cdb00ba56d48c23d010ed1215bb79d1b90377dffd2e092118588e2141c9280ab2729326a5773b569abf173093ec770f4c938bcbc56a50032 SHA512 0a4dfc6ee49abafbd3a2ac73912a212ea265a97b794247bcdf6c828a206a7cf8414667d4f465c57204651b2820a922d534e539e6d2a8e4b8f6616621d53a8e95
+DIST fastbencode-0.3.9.tar.gz 16976 BLAKE2B 81968b3cc4de961abd12f024b8aa477b0b907c07c00b4693befc545c366aa43fc67fca528ee39d984ed41967585784982c91d929154892e2fcb87f76d6d66243 SHA512 499b153ce99b6f2005e639417e1d3e49d9e5c37e7317b4bf84a79ac307de3171ad4cd52c7275b10a380af028c8725b19c9c65ededea2ea50c628e107ecfc4905
+DIST fastbencode-0.3.9.tar.gz.provenance 9660 BLAKE2B 2d8d9dfc8537a5777dba8a2f482ba92eefa56d5df05da6a3399b080bfcbe4c78a27b9c17a193a38b500b6700d369f35bfd892b0f822655a481aabc2be25808ba SHA512 2c4dd6d3b2c5d037fdf2ac43e6b537d0b5fbc449a5b333c132f521356ef8810d9f0ae6dcffafa418e152acc4df0c792d816d1056675ea3630e8e94f7d8f4a31d
DIST heck-0.5.0.crate 11517 BLAKE2B 5365ec43b2239a76b33a174f1a4292ece4147f9d382a68c6c60db78fdc8bad0afb1d51a65bcb25e96675372faa4ea37c318265030b0546ba51942f7c929e1835 SHA512 f044fc9c3d22466629fd8f772ec0555350fd611c0cfadca51d99a3d2f10e155f77c1091916c8a95a6b9b499f366c2e99a5fbf45b010f988bfb9b2501bf9f6a76
-DIST indoc-2.0.6.crate 17164 BLAKE2B 1a6cff95bc12ea885ef36b935bf4f1c7870d65be0ff31ffc67dcab904fa80215c1254c1803c5d0c5686252addfad3512e9e1ec79d3edcba026a879f4706926d1 SHA512 e2ea2e5c8226c802bbe0631c1a99d2edd088cbafbf978b2a7b71c7c7f47754c6d4653f466e286441b61cc46def1c7f7a02d4785caab93a61dd785211dba7d1a9
DIST indoc-2.0.7.crate 17184 BLAKE2B aae454874b44dbc908a75b64626e608e04017c1407daff9a2e2dd12a337ac04db594540d2f31bfc590d6f37f0d711ff2d3054352ff1b33e736c36620404be0a0 SHA512 6e80cf927001821606488a822fd0f67ae1a569b022c98e727e6b1571c88d87775166f088322bd5f17abb8fc1fde62c9d14fb2e99f1e50918487252d823e48f73
-DIST libc-0.2.174.crate 779933 BLAKE2B 20ffcbbcad6961e732521940f0595039dc0576d85b2d3b2ad3f1decd37571132a4cd7505b2e108078a4379fc4cec46290b5633bcbcc6e7009c3b474c1a852628 SHA512 243f2ffd5741ef859e4dc5b7ee0396071943b1d10429efcaecb322957e256c4be88a7a649029dfd47e6456acc73ee257893fb6c4e8b4d0fe66a12bc5d1c13c73
DIST libc-0.2.177.crate 792045 BLAKE2B ecea1ade26b0faa9cb5fb025e237f3a59dfb562e7b3de3682b42a41038b1d436e83b42b53158c1fc1cc4b1cc64ab55ba1497e869ae850a677c089fcce9138912 SHA512 9d737091dba80244137987d06a52ffcd44a968c96b59ae9af9cfa40c38cb9675d023f6324fbf25c436ce1b9592ebf26248f85b0a7c97ee02360ca624b0efb3e0
+DIST libc-0.2.180.crate 812207 BLAKE2B 086681e1f488aa2ab8a477655e01bc27dc6c578fbf9eb2bb429828164825a5d450dee9bf1bc38afc8e1be5d849eddf384db75b9f4d3c64a0fde6cc37919c1b80 SHA512 5427ac2a7c03d02f14acc66c3a187fbb4e336a88e8cccf7f8281fe95f958b845c0205ec47aac2f6ba6ab8b8c4b5cd0d943205c3f78ad2830d44c3b7779c317ef
DIST memoffset-0.9.1.crate 9032 BLAKE2B 0aab55fe084134bb599c52d77c96400db40949b1013e7037747ada4fcec8dc4a124b6f3755f04b36e057eb2fb4a6bd6f07d6eebcf166f8a71405ef434d802fbf SHA512 3a236c0f481e36973b9f805e454c2efe4dd375e6b4ee406b57145136c70d5fbf4e1183d563ebf3b5fbde7363bbf5f08f0d88e507aae5bda4cc75664ecd0e33aa
DIST once_cell-1.21.3.crate 34534 BLAKE2B 3578aaef305cad2fdffdc40c392775a3540bfab3f3aeafd22466d9507bf8346b9fcc200929d48525b051070c0aaa423ecbcaa12868b34dca007991effb224166 SHA512 32a87506c6f4598f3ca2c88556014ef2093d5db9a08602335e847caa537a866492fa74c894e7e1da2e4289a1d3dbffcb90a9e37a4a1453203832f434b8206990
DIST portable-atomic-1.11.1.crate 185506 BLAKE2B 953bb1f2059dc1d891305eb89945f1f6a172fa50972725aee499de72b5dd9b4ad8ccefe4e891183ff8e6b64f4d1bb45ec33b06e0f5af34c940f817b290f746d9 SHA512 4c037ae0b4aef43077bdbf803389bc078d963f20d023e2e1d339a54f67fa9b27c174e7c1b6eca8881ecf301e30c431632d2c0dcedfb5b19552892fac0f81e2e1
+DIST portable-atomic-1.13.0.crate 195086 BLAKE2B 232b1d78c459067819dd6662ed14d4aaa1bb8157cafdeb8a61b4726ecda05068350a6e53158d2eb321cea544c688e0b3d5ac05aea77f8259ee342430c91b01e6 SHA512 1eae32e2f45a3ab92a7aaa4914995927d99b7ae4c9d4e5bc817436a06583298a1557a94b4857649356d82178125493e6c5030750b5a489c3c4e6fc3f8d501bd7
DIST proc-macro2-1.0.103.crate 60024 BLAKE2B e5ce5f77838fd063b5615b1555db02175621135132de6aa7479d67fd0a34c15e8235290112a728f3251cf913a835bf0aafaf6930880511427143b63152047259 SHA512 9a6964a2ad24dbb1108b7018882ddb48cb6e6f652d1c5eed1cac94602539fc71f011a0a276765778df161edbd6387bf03a8505d93565e0c106f09e98d7d6efce
-DIST proc-macro2-1.0.95.crate 51820 BLAKE2B 93229d80556ec03bce4031607d13c7902cacc2d7e2586a692ffe8543d52e3f3ba253c9c311ddedf6d9348ce8758ae8ff64577675cda2dac557f936a328de47e3 SHA512 f78e4d47ecd29c1b2315554705e445507bbfb9449afd0bf1b74df28f266ac6382ca8c3ce135ddc55c989eaee64d1794a0933a941c8ff55f543fa21c400016547
-DIST pyo3-0.25.1.crate 1121993 BLAKE2B 79a982131fc4c4f9292e97bc8d938d236ee9cefb99bb90646a84703660ad506aee8ae1f1e626d985aa62c695722510f2697544581fa5c3a01f193be2bc2779fe SHA512 9c842c89d274dba0c8a3085a8524736245d65f07e5c05bc13fc89167cfdeb1a4ff2b4a9da9467eee918e45d01777473f39bda11efe0052859969d4fdeac1adc6
+DIST proc-macro2-1.0.105.crate 60319 BLAKE2B 0c67b9c5561234d78c3bbe71e2774877b01c5798c6def669accc273dfb1188b360627aac9303157bc27fa85de84ec7b87d0cf6e1d1b07d19527983e721609681 SHA512 520f9af4f0e9b56ac9ca7a05649aeb538d235c4f53b85a4a9a2474998ad8b96a5f97aa4e117a949adb087fc908f6150fcea783950189f1772097a986eec564c9
DIST pyo3-0.26.0.crate 1151579 BLAKE2B bcc8236785502928bf4a0b7a320e0a8f3d6140c562de4351a52d015aaebb8dd6b4d68fe607c8ea13ec66941c8f01d2c18c4249adfacb521355d4bf158667f3a3 SHA512 e073a4d893f88aa0301ef0ead78048137515edd93c490e6dccbc301ff65a208534c65c1d216b04639d4b1ec1e4b69bc87bd34974e5d0659134c28dcce589c194
-DIST pyo3-build-config-0.25.1.crate 34126 BLAKE2B ca905f1f74e26f38ab63a4f5754055c9dff01f9396f81ece09b7ce067181b657e6746db3b373f7177805f6564d0df0db064b5fcab8160d5edc357e64dd32d0fc SHA512 d6fe4a46111188203a839c8c73b9835f98cd6bc5982868cbcc9f502c5a09b35c3e61117b50ef8372470051b5bc4959731907748ffca89f42f300a3081b7b0467
+DIST pyo3-0.27.2.crate 1171342 BLAKE2B 421039fe650e01546661ab98593288f8058694d513261fe0025851a68b665bdfc001692c60a5a34ede92d13a6003e8f261e4bcdc17f67518a156f52916d2ff76 SHA512 b20f502bda6cc6d283012acbb2e0225219ccd77af09990872c76b0088947050d886eb47ed88e9e0dcb327d08ab4bf09119f7cab527dfde358e01df5a32bb64c2
DIST pyo3-build-config-0.26.0.crate 34309 BLAKE2B 5ea8b51da2f425674cd3bfcc1090ffdd08da01d2161dc66b08995c20cc859422f9f84077c545e5a0580182910aeb9dbba97838915148a82b86948d1cca3c8722 SHA512 a982d0a0baa4af58c2cef7c0c4b2671e3f559ca7f30586eda9fbd05e842efa2bfea0089ddbc729225b848871f6a25f85e86576e1dff519192ba289cd92c6aa8b
-DIST pyo3-ffi-0.25.1.crate 78058 BLAKE2B 351fe00c99008a34a003e50cd4f6d25e6dae5a446928358cd5146ac9924254614724a015ae77d8aade7bcb497cf5e5b5018021ff5d89a8efa6412f5ccb48744e SHA512 35ab63888f49df13fab8b96b87f6c705186173923fd5898abe8730675156426f020ee517019926ba5e06cdb4fc5f91a75f648ce9eba892e9eaf3ee17864a8ec7
+DIST pyo3-build-config-0.27.2.crate 35564 BLAKE2B 8786478e559613cc258e2d0153d549f65c13a24a3fe612da7ac96e5f4038a1714dbc6a01b2d3e3d99b3de3af9658ad220647fbba4a33305bef81c07100426ada SHA512 dc7cee79ce7febddeec9e70dd5de3b59696a5cf38afeccdfeda00307cc22166d0e9649d5e34e9801b7f495b31c104fa78dac2241248787daae8b9ea1f4551ce5
DIST pyo3-ffi-0.26.0.crate 78247 BLAKE2B 65f1c399bc763bf8afc36ccac27d28242ebcccebd08ab8d9b3165ca5c9abb10f76e76fe5a250aa1e0cdc1d1e8a613160660f07bc0dbc2812675acb9dfc8e89c2 SHA512 91c2ae828e997dee5e48d839794727e94576228e9329c358a3bc77a59f8f37fa0ae6c2579229782b3f46ab90725844ce9194b9de4d3849d824adf1d40743bf7e
-DIST pyo3-macros-0.25.1.crate 8886 BLAKE2B aad9c975c90ff93429be24287d76edd945578b546a927f54d82b6d4bf184f1f8d426ac112307205346e85999a1e89b097f68310de647f27474790bff01c3517a SHA512 08387f3d1ddb0cc253eed376e6e8ebe5722b31664ec742f16c0454b52f1fbcadbe7720ae9e2d3870fe0ca2690916cf6e3e032f5a3e65d767322c068432f6d470
+DIST pyo3-ffi-0.27.2.crate 78552 BLAKE2B cdd6fb74a49615c42e6c6979e28c1d56e0061ae9e9897a20032d6be27c635433e9fa459847bf3c88de3be7503d045ef78d4ea3e028403c1ed00da96930ed73dd SHA512 29936c7a0fa524304ca8b017ac912e2c3e9237a86ac8510c17b96b75c7e83948599884f064428640456cd5fb256246d536da432d096f924e78360efd973cee0b
DIST pyo3-macros-0.26.0.crate 8906 BLAKE2B 60eef72d27b5bc922b75f71ae24bb6f380288cb3a619bf2940b0de47b27e86cce0ffdb1fbdc9c0540d3f15c9df4884497aa1e6efec0f1579ac722b414818a428 SHA512 07bcddba0926c3dff7629da3260f9a38593fbb337b6a68d55c223f5944d912885e5319cd635ae1785026fed4adea1fcc19695ae83aca5bea127c5a8868fd2c43
-DIST pyo3-macros-backend-0.25.1.crate 76006 BLAKE2B 02225f8591585a6cbea7d6e53503bfbac395253cb0f45c588a2eb38908bf241034412832f2fcf4e9301318b5b9b82a888755d970f544f402a4f0cf9e4a6eefe9 SHA512 4c9006424630ab9bcd5dcdd45fe927a95a40a61757f0950396eb9f0c3f1794772092a19773c102220489cc621ad65d81dbbe459a1be472f6cd3211c50ef33cc2
+DIST pyo3-macros-0.27.2.crate 8913 BLAKE2B 99a9cf37cb05261fa75d0ede4ed8ad75bbe29b941a4c6a0907d1c1baa887d0777dcb5970c7fbe1337c1b127b6318d077e2d8374629485572f3f7997a3e3825b8 SHA512 b05f6b61c5b320e83e879384691cdb9ad57ade3ce5a9fdfb587ccd13ea1c92d2b210e2d7ca242c3d1a5f5173076a25578d3d81f5a8c3935a43f010bfa8452153
DIST pyo3-macros-backend-0.26.0.crate 81809 BLAKE2B 73885035855daf00b001e97e0a5ebe09412d212c8f01aa4db6638ef09990bf1bccbacf2e5a7e6ec21929bb1c2beba06587ecdb6ee954eda9e9c51c6c276cea95 SHA512 4146011a8ef18ecaa44b425eebe6e5e1370945063b98aaa83452e57b66aefbf5d483367b1d4d44aa5091303c4ba7f568c6428ecec0cfa6c90ba41631d4e99367
-DIST quote-1.0.40.crate 31063 BLAKE2B 09036ff3e5ebbd775c466bb936de91d4c070481eb4b98c62a4cddcda57cd7b67d63f979b321f6ec64aabee3f5da6c28e7a3efb83f4647768ba578f1bd0bd0bdb SHA512 45a76e22a2b0bec47e4ba73c3b73cc41d821dfcce9876134c5d8eed514da214aee4ce7612e372c8709f888c0d8b9b7e5442f27adb7a59f3571f0339ed7e2ac99
+DIST pyo3-macros-backend-0.27.2.crate 82513 BLAKE2B 9154f0275ac031fb456c313176490b7f98e033a9ff43caf32ca717e6dedc2c32435af5e7d9d2e784690fe2a379c033f0dc036b18c630fa7cb3c3365e335e3a12 SHA512 811fa48ceb5a87d23312b968efa9d8464653289cefc8a1e27838f03285eef67092652ba89eba655d243fa435edd97674a981267870d208e0b11390db32d1ad9f
DIST quote-1.0.41.crate 31408 BLAKE2B 9d496e0878fc329ac9492ecbd470e762bd807ec8ca4e17a856b4d1c776351434778f519977137a67b8c143ee60b20774c09768d480cff51b22f2cfcb364a20d9 SHA512 64374d70eb29f7d7e02e535ba383586d93f68a9b6464c79840fa6c42a1ac47be7ba14e415a40e158f845e486ed33d5c564c882913780d296360b30a56301ff7e
+DIST quote-1.0.43.crate 31587 BLAKE2B 98b16b90a6f4a2c17fe4c3b428874265cd550e96db116642bcf9ca5300780115c11baa591858fbd92e024ca0d59a385275e33b7b5ba4da946e07d1f0df6e245f SHA512 ecceef4e34e0ccf260e2f958fc8b6595f488a6cf6b2d9230bdea33aedf3b41ccb2e72f8810ffda8607bde9be5a3aaac518d6f3e48e41e5040915cad26083889e
DIST rustversion-1.0.22.crate 21096 BLAKE2B cdf773cda21ebde50da897c0af0e4af14660ce953d3037054a99d8adc3db2dc6e30a57201a45676abfb183c62016a68069848e7537f711b1752339d194b0a378 SHA512 7929352df3e5279ac88cebb26ca89bb13c755f46986d2d1f514d18a3239a63638bf64f8ff153920569d173185d988d692ee676335afba0bf72d47f71babe0e15
-DIST syn-2.0.104.crate 299699 BLAKE2B f64d2267abe9140456dd31d52ada0c75bfa3e4e0112ca77491245e9e84a0530f6c7cdc7428b73cf567a65ef6e7727f814fb9cb34db0ecc9cc3afd05b69fd36f7 SHA512 da532fa362266161b5604c821c913f8f990eb32c18e18c0a360b7147b9f71ae008e208f377cb203e85818bd5db926951122a971fa97563a10678f0ba4671e64f
DIST syn-2.0.108.crate 301754 BLAKE2B 627699ade4dcd89157c64628e7243be829d79e5e1800c3da82f2da24628e8895809f3b250e9cdcfaa3c69d2d2deb7d4db8868767961c25ce6ad71baebd995ad6 SHA512 27ca199db662f3d06de9f139b9707fc30e9719556831b9fcb78f7108f61cdf186cbead48ebd4b684bdcb96944552ba4340a4bd154556cc08d0698f65c9332aaa
-DIST target-lexicon-0.13.2.crate 27923 BLAKE2B 0761f0ffdc23b9c9df86b384d59611c7b8b5e29ff068f03367ad2fe84cfb6d11e1af149b9338236978e9566fedc51387db9f239d2a602db41045ac3db907faec SHA512 d25e3cc3d679cb6b6f24c03e0c24db9d6ca31b8ed42ac9531bd7637557fbba225a6c8ac4f68a8eaf3569195814d599e668a968afbc73b940a77cbc27552cc90a
+DIST syn-2.0.114.crate 304636 BLAKE2B 88ec8c2a781cf33b9961744166ec8d3acd46e770fc56d2d4353d8d1578bf0b629bbd294db3334379fa8570b7537e26f72872ee18a92b037499bf746eac81cd3e SHA512 42d935971246f1bc605f0d0a960c143dc31c96d27ed5427d3bb2baf46a3871852450a47556cb0eeab1e1333b208ed6fbb3832c1038e91f874680f8c68719d184
DIST target-lexicon-0.13.3.crate 28498 BLAKE2B 397315667737abde41949081f8377f704c3a1105790162249a9f0c08b60f012e67d66550e9063d900ac98f5191d13c5ed23d1a8045f99373e7a673a3cfc029e7 SHA512 23422df6edb2a8cb0a9f048864faf76ccb27d6e97fbed7b208b77206941b196f155896a0381150e387142e976439a0a296dcf4cbb4df6bc0e11c65f97f979443
-DIST unicode-ident-1.0.18.crate 47743 BLAKE2B 517ab42a847020515b2b871844d0571ea672340f89a762631a791eac18935ac122122fa5566e58b99ab47de179eadb5298e8ff1d05b123c4e93b7fa989c8e31f SHA512 d11f89fb696f9e2953c96a40b5478832651b268c83b9c7a700b07e768e795d6e8dc346597d1226df21219d36866768d1f640bd8edb68db8bd3d5d437b2bfd324
+DIST target-lexicon-0.13.4.crate 26832 BLAKE2B 923aace3258de547e6813c7d58069a0d3b18941f05debef5954cf872490d9be8bc2036c8e807ee3f74d33c59cb01ce5b105bff95c79a79596cf328783633737a SHA512 0bad8add6b8767f1217b9a3aa83fb176f080ed9241ebd3a208ce3196650b01254c306520f1f950571bda463994631b64af9ddaca8a2478fc40f64b1381e880e2
DIST unicode-ident-1.0.22.crate 47919 BLAKE2B 766f52249631092af952df717e09e1eb0d2a8e87c45e65113f0b2b88b42e8b406a87241fadd368ceb9e13339362b48cdbbc6f699f95f448ab45dbbd861615d62 SHA512 81666679aaa2eebfe1429827fa2a88ee0b52bd69723067132c24252070133b3731287bcd880ba16d16274f038c7b27bcf637e9150b6cd955fb4ff49642078125
DIST unindent-0.2.4.crate 7422 BLAKE2B 2e7870cd4f78240dbb1e5fb9c0f9b55c57bb40242fe668f105a0e862f1d6300e31efbffe0cdff676a5f96a8d19dfb148f88bfef1cd8a710556d777fd0f4ee37f SHA512 58bd4fd20a0b0a7200e0ea3ea70553cea135a5a8f7a2fb178520c41228f435becce4b9981019b7c73a17df87a2ee9b2a47c4cec29a3011bfe848d48b2473761b
diff --git a/dev-python/fastbencode/fastbencode-0.3.6.ebuild b/dev-python/fastbencode/fastbencode-0.3.9.ebuild
index 93788a62a72d..164a24f87212 100644
--- a/dev-python/fastbencode/fastbencode-0.3.6.ebuild
+++ b/dev-python/fastbencode/fastbencode-0.3.9.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2025 Gentoo Authors
+# Copyright 2025-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -6,27 +6,29 @@ EAPI=8
CRATES="
autocfg@1.5.0
heck@0.5.0
- indoc@2.0.6
- libc@0.2.174
+ indoc@2.0.7
+ libc@0.2.180
memoffset@0.9.1
once_cell@1.21.3
- portable-atomic@1.11.1
- proc-macro2@1.0.95
- pyo3-build-config@0.25.1
- pyo3-ffi@0.25.1
- pyo3-macros-backend@0.25.1
- pyo3-macros@0.25.1
- pyo3@0.25.1
- quote@1.0.40
- syn@2.0.104
- target-lexicon@0.13.2
- unicode-ident@1.0.18
+ portable-atomic@1.13.0
+ proc-macro2@1.0.105
+ pyo3-build-config@0.27.2
+ pyo3-ffi@0.27.2
+ pyo3-macros-backend@0.27.2
+ pyo3-macros@0.27.2
+ pyo3@0.27.2
+ quote@1.0.43
+ rustversion@1.0.22
+ syn@2.0.114
+ target-lexicon@0.13.4
+ unicode-ident@1.0.22
unindent@0.2.4
"
CARGO_OPTIONAL=1
DISTUTILS_EXT=1
DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/breezy-team/fastbencode
PYTHON_COMPAT=( python3_{10..14} )
inherit cargo distutils-r1 pypi
@@ -67,6 +69,7 @@ pkg_setup() {
}
src_unpack() {
+ pypi_src_unpack
cargo_src_unpack
}
diff --git a/dev-python/pdm/Manifest b/dev-python/pdm/Manifest
index f702689c5b3d..3a1e6b0831c6 100644
--- a/dev-python/pdm/Manifest
+++ b/dev-python/pdm/Manifest
@@ -1,2 +1 @@
-DIST pdm-2.26.3.tar.gz 2673653 BLAKE2B 63affba97b2d1073bcecc63b4656da84f67fb03ab71ddcb64fd782466723e792bf71748b81ad993afc1027e3dbd8a3c9b29e5ef389b49743bf3cd65cf448b648 SHA512 5d06d48620d9a304de086c3c544c5db60621cb8a097a261255f243419cd93a1bb69d85a2eb3d7b734150a50454db8b64e1bae18516e4a7430ec86f1bde443a34
DIST pdm-2.26.4.tar.gz 2673781 BLAKE2B 86251ba160f1ae7ed801fced2499ad4bd283f930d9f533b2dbbaf86a6867c9027da49c3aae099cb1941dd94e900812a7e92350a2a7ded118df7fa675c99c751f SHA512 7f64149b212aaa85e506ec5bf8d85b797efe4a23fa744303ab790b80bd8ad481c8000daf6e9a605fd276961fe68ff936ecaa9a9e8f3a8acf4fcf3b6d61305e61
diff --git a/dev-python/pdm/pdm-2.26.3.ebuild b/dev-python/pdm/pdm-2.26.3.ebuild
deleted file mode 100644
index 72da634857fe..000000000000
--- a/dev-python/pdm/pdm-2.26.3.ebuild
+++ /dev/null
@@ -1,84 +0,0 @@
-# Copyright 2023-2025 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=pdm-backend
-PYTHON_COMPAT=( python3_{10..14} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Python package and dependency manager supporting the latest PEP standards"
-HOMEPAGE="
- https://pdm-project.org/
- https://github.com/pdm-project/pdm/
- https://pypi.org/project/pdm/
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64"
-
-RDEPEND="
- dev-python/certifi[${PYTHON_USEDEP}]
- >=dev-python/dep-logic-0.5[${PYTHON_USEDEP}]
- <dev-python/findpython-1[${PYTHON_USEDEP}]
- >=dev-python/findpython-0.7.0[${PYTHON_USEDEP}]
- dev-python/blinker[${PYTHON_USEDEP}]
- dev-python/filelock[${PYTHON_USEDEP}]
- >=dev-python/hishel-1.0.0[${PYTHON_USEDEP}]
- >=dev-python/httpcore-1.0.6[${PYTHON_USEDEP}]
- dev-python/httpx[${PYTHON_USEDEP}]
- >=dev-python/id-1.5.0[${PYTHON_USEDEP}]
- dev-python/installer[${PYTHON_USEDEP}]
- >=dev-python/packaging-22.1[${PYTHON_USEDEP}]
- >=dev-python/pbs-installer-2025.10.07[${PYTHON_USEDEP}]
- dev-python/platformdirs[${PYTHON_USEDEP}]
- dev-python/pyproject-hooks[${PYTHON_USEDEP}]
- dev-python/python-dotenv[${PYTHON_USEDEP}]
- >=dev-python/resolvelib-1.2.0[${PYTHON_USEDEP}]
- dev-python/rich[${PYTHON_USEDEP}]
- dev-python/shellingham[${PYTHON_USEDEP}]
- dev-python/tomlkit[${PYTHON_USEDEP}]
- >=dev-python/truststore-0.10.4[${PYTHON_USEDEP}]
- >=dev-python/unearth-0.17.5[${PYTHON_USEDEP}]
- dev-python/virtualenv[${PYTHON_USEDEP}]
-"
-BDEPEND="
- ${RDEPEND}
- test? (
- dev-python/msgpack[${PYTHON_USEDEP}]
- dev-python/uv
- )
-"
-
-EPYTEST_PLUGINS=( pytest-{httpserver,httpx,mock,rerunfailures} )
-EPYTEST_RERUNS=5
-EPYTEST_XDIST=1
-distutils_enable_tests pytest
-
-src_prepare() {
- distutils-r1_src_prepare
-
- # unpin deps
- sed -i -e 's:,<[0-9.a]*::' pyproject.toml || die
- # remove pkgutil namespace magic, as it doesn't work and makes
- # dev-python/pdm-backend tests test the wrong package
- rm src/pdm/__init__.py || die
-}
-
-python_test() {
- local EPYTEST_DESELECT=(
- # Internet
- 'tests/models/test_candidates.py::test_expand_project_root_in_url[demo @ file:///${PROJECT_ROOT}/tests/fixtures/artifacts/demo-0.0.1.tar.gz]'
- # unhappy about extra packages being installed?
- # (also fails randomly in venv)
- tests/cli/test_build.py::test_build_with_no_isolation
- # TODO: random regression?
- tests/cli/test_python.py::test_find_python
- # TODO
- tests/test_formats.py::test_export_from_pylock_not_empty
- )
-
- epytest -m "not network and not integration and not path"
-}
diff --git a/dev-python/poetry/Manifest b/dev-python/poetry/Manifest
index 42c00e04e417..77c8a5262c2f 100644
--- a/dev-python/poetry/Manifest
+++ b/dev-python/poetry/Manifest
@@ -1,3 +1,5 @@
DIST poetry-2.2.1.tar.gz 3441978 BLAKE2B 01276f5ee71fd2e8bf1be5f4f503590e7966b32ba22f95fe181ec3514004879d1b00c3184d523a78a0ecf3121291d2c02a4171c1a1525c945879da8a2c8e9f9e SHA512 38ef42297c66a52953ed58dcc705201fa67e3c81f2504e320e01e0b76504b6439b8b224e86c9d886dcbe1adba9a2ec5e5c5f0e2308082e7931bc5fce218e5480
DIST poetry-2.3.0.tar.gz 3462277 BLAKE2B 83f307ae58bea60d69c0acb8a28b9c989d1add2c273f20552c2cced33e388003c99f061828e8254b1c1ed06de30d7f05d5f785eb6e74b055f72f0e0427458111 SHA512 e7cbafc4ff163e167c7a79379ac427a9ea857faf3a7ce5c351a356e26618cbb928eb9819f200d49496523148234f9941892f39f69720695d03184a1c0cc67e2b
DIST poetry-2.3.0.tar.gz.provenance 9524 BLAKE2B fe89ab58ba2fb9d0cbf9d79967254946543ae22ba2375b877f7a01f15f3c4f7a722547de1b94709df9f92ad868da820211f5250563377d63ed98a57a9594a8c3 SHA512 fe291e605649aba9150adf4bcc19c1b05ef9100b60d03fd7c3d84419e8f8944dfa8109c6165fa784aa66c20ca7f924ed8e0c27378d1a0bce7c11103cf97323a6
+DIST poetry-2.3.1.tar.gz 3462579 BLAKE2B ebe239465c8b20e3019b0b83d7e41a89c975266366db34bd14cdc21cffe0790c784c148b677b3bd8f7291ec62d453fc0a2b654c6a994e727d39fdb3f85f86154 SHA512 801a1c56b5bd9e6823d2a2a0ae9b2f8ceecdeebc4d2d1f101ec8649df554ab0dfddef3295db7fb1a199010e575dedbbd043743c28ea5df77999b7f1791e226b0
+DIST poetry-2.3.1.tar.gz.provenance 9442 BLAKE2B 558f1664ad9309e42d2f5c7ebab79d6470ef9f66fbc6dd0c30621815af0a442ff63294cea54a4d076271a6b16c5bba79a4762acd4135bd82230d9c189f26faea SHA512 288fe88526b199ecb97566ab8b38bc39ae93c46c28cc8f21eb4ecd7f0623279e5e14a88942061b07bce4aff4172069df2d5493d7d1d26a90ab90fd22e7e11f34
diff --git a/dev-python/poetry/poetry-2.3.1.ebuild b/dev-python/poetry/poetry-2.3.1.ebuild
new file mode 100644
index 000000000000..87bd7179d2e8
--- /dev/null
+++ b/dev-python/poetry/poetry-2.3.1.ebuild
@@ -0,0 +1,88 @@
+# Copyright 2023-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYPI_VERIFY_REPO=https://github.com/python-poetry/poetry
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A frontend for poetry - a python dependency management and packaging tool"
+HOMEPAGE="
+ https://python-poetry.org/
+ https://github.com/python-poetry/poetry/
+ https://pypi.org/project/poetry/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ =dev-python/poetry-core-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ >=dev-python/poetry-plugin-export-1.6.0[${PYTHON_USEDEP}]
+ >=dev-python/build-1.2.1[${PYTHON_USEDEP}]
+ >=dev-python/cachecontrol-0.14.0[${PYTHON_USEDEP}]
+ >=dev-python/cleo-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/dulwich-0.25.0[${PYTHON_USEDEP}]
+ >=dev-python/fastjsonschema-2.18.0[${PYTHON_USEDEP}]
+ >=dev-python/findpython-0.6.2[${PYTHON_USEDEP}]
+ >=dev-python/installer-0.7.0[${PYTHON_USEDEP}]
+ >=dev-python/keyring-25.1.0[${PYTHON_USEDEP}]
+ >=dev-python/packaging-24.2[${PYTHON_USEDEP}]
+ >=dev-python/pbs-installer-2025.06.10[${PYTHON_USEDEP}]
+ >=dev-python/pkginfo-1.12[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.26[${PYTHON_USEDEP}]
+ >=dev-python/requests-toolbelt-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/shellingham-1.5.0[${PYTHON_USEDEP}]
+ >=dev-python/tomlkit-0.11.6[${PYTHON_USEDEP}]
+ >=dev-python/trove-classifiers-2022.5.19[${PYTHON_USEDEP}]
+ >=dev-python/virtualenv-20.26.6[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ >=dev-python/deepdiff-6.3.1[${PYTHON_USEDEP}]
+ >=dev-python/httpretty-1.1[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-classes-3.3.1[${PYTHON_USEDEP}]
+ >=dev-python/pytest-mock-3.9[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-mock )
+EPYTEST_RERUNS=5
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # Internal test for lockfile being up-to-date
+ # Meaningless, also sdist does not include lockfile
+ tests/installation/test_installer.py::test_not_fresh_lock
+
+ # broken if poetry-plugin-export is installed
+ 'tests/console/test_application_command_not_found.py::test_application_command_not_found_messages[x-None]'
+
+ # TODO
+ tests/console/commands/env/test_activate.py::test_no_additional_output_in_verbose_mode
+ tests/installation/test_executor.py::test_executor_known_hashes
+ tests/puzzle/test_provider.py::test_search_for_directory_setup_read_setup_with_no_dependencies
+ tests/utils/env/test_env_manager.py::test_create_venv_finds_no_python_executable
+ tests/utils/test_python_manager.py::test_python_get_preferred_default
+ 'tests/inspection/test_info.py::test_info_setup_missing_mandatory_should_trigger_pep517[name]'
+ 'tests/console/commands/python/test_python_list.py::test_list_poetry_managed[False]'
+)
+
+src_prepare() {
+ # unpin
+ sed -e 's:,<[0-9.]*::' -e 's:==\([0-9]\):>=\1:' -i pyproject.toml || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ epytest -m "not network"
+}
diff --git a/dev-python/pyparsing/Manifest b/dev-python/pyparsing/Manifest
index baa6e20e295b..642f15f7ad1d 100644
--- a/dev-python/pyparsing/Manifest
+++ b/dev-python/pyparsing/Manifest
@@ -1,2 +1,3 @@
DIST pyparsing-3.2.5.tar.gz 1099274 BLAKE2B 0f5ee8a4801154ff7d8fdeb4da2a47123b8cfabae292f55b549426c5a7b71994da40d4626156559b9980800e8856fa23f8ac06832c782efaeb4538fd08f9f24e SHA512 e9c4e4c7a7e324331ced2214b5a406c538209fedd8b56ffa2a28b44b497be0d4a03b705e9ce9a449e8f126a8fa555e8c1572894b09dda0eda4e3da156ba7e3ff
DIST pyparsing-3.3.1.tar.gz 1550512 BLAKE2B dac2df2da2847a6c9728aa372b954e60c73b365c792e4bcf75acdadc10c8e2e12a6605e7bafd6d291e9358bf30e8b638f7ef437d97a7633ee360334d87a8f130 SHA512 897335233a642fefd05e729d86caeb6d1bb6b5873d6f4cf67dd922d0ec188efd9c051e2dad60df08f4876b61923078bb03f4cd93e835fe12e5c4e1ff6d591daa
+DIST pyparsing-3.3.2.tar.gz 6851574 BLAKE2B ca0731c67790c706c9d3d7e7e6b60ae54d0698bba12b09c880de23f3dd40862b1a0e9d9a6ab50af4c202e2177f7e3c5465297e1ef65bac597bb933e83b0484df SHA512 2c09c22004b7882e1364e6c5b675998d1fd03d1053148e06bab46a6135277fec0281875ec060f07f2b4cb8d46f092adcb4166a5193f587f45c853187b96b57cc
diff --git a/dev-python/pyparsing/pyparsing-3.3.2.ebuild b/dev-python/pyparsing/pyparsing-3.3.2.ebuild
new file mode 100644
index 000000000000..19a814eaaf42
--- /dev/null
+++ b/dev-python/pyparsing/pyparsing-3.3.2.ebuild
@@ -0,0 +1,59 @@
+# Copyright 2004-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Easy-to-use Python module for text parsing"
+HOMEPAGE="
+ https://github.com/pyparsing/pyparsing/
+ https://pypi.org/project/pyparsing/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+IUSE="examples"
+
+EPYTEST_PLUGINS=()
+# tests unstable with xdist
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # railroad-diagrams not packaged (and not suitable for packaging yet)
+ tests/test_diagram.py
+ )
+ local EPYTEST_DESELECT=(
+ # also railroad-diagrams
+ tests/test_examples.py::TestExamples::test_range_check
+ tests/test_examples.py::TestExamples::test_rosettacode
+ tests/test_unit.py::Test02_WithoutPackrat::testEmptyExpressionsAreHandledProperly
+ tests/test_unit.py::Test04_WithPackrat::testEmptyExpressionsAreHandledProperly
+ tests/test_unit.py::Test06_WithBoundedPackrat::testEmptyExpressionsAreHandledProperly
+ tests/test_unit.py::Test08_WithUnboundedPackrat::testEmptyExpressionsAreHandledProperly
+ tests/test_unit.py::Test09_WithLeftRecursionParsing::testEmptyExpressionsAreHandledProperly
+ tests/test_unit.py::Test10_WithLeftRecursionParsingBoundedMemo::testEmptyExpressionsAreHandledProperly
+ )
+
+ if ! has_version "dev-python/matplotlib[${PYTHON_USEDEP}]"; then
+ EPYTEST_IGNORE+=(
+ tests/test_matplotlib_cases.py
+ )
+ fi
+
+ epytest
+}
+
+python_install_all() {
+ if use examples; then
+ docompress -x /usr/share/doc/${PF}/examples
+ dodoc -r examples
+ fi
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/sarge/Manifest b/dev-python/sarge/Manifest
index 2680b489ccfc..68b9f4d71cb9 100644
--- a/dev-python/sarge/Manifest
+++ b/dev-python/sarge/Manifest
@@ -1 +1,2 @@
DIST sarge-0.1.7.post1.gh.tar.gz 57121 BLAKE2B 4e7f9cf21e2492303fb7ae24d8f5da22fc6db4d04449e5e6063825d2c2163333456fed35af53b5107a80996ca4e036c8913c1d50ffd1d0386e4f3d3f0e46dbda SHA512 29e783287d9e2325e6183d3d56fb2247e3ec98e728dbb69c8391694b2456c1d9ce91a4a172d8ba66593d0553d016fca34b5253d7a4d4f02c1f2d6a3a19574097
+DIST sarge-0.1.8.gh.tar.gz 60410 BLAKE2B 0801d1e46bd9976330ae5bbaacd9fa3f1bde19db0e1b9f77d4dd9b496e89dca9b83c76bfe4c3aca52934380ead7db1e6e6d348d9fe8a5c799a766cbf9ab86211 SHA512 26cddfc3b8d96538e7c045a39f5d91e9db5acd8abe66ceb65b28e1c2bc99d4bdae7901f0da9905895f8a1d09fef172a6c56a19b711bfb7deb66cf876e876e414
diff --git a/dev-python/sarge/sarge-0.1.8.ebuild b/dev-python/sarge/sarge-0.1.8.ebuild
new file mode 100644
index 000000000000..1cabde40cdb0
--- /dev/null
+++ b/dev-python/sarge/sarge-0.1.8.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1
+
+MY_P=${P/_p/.post}
+DESCRIPTION="Wrapper for subprocess which provides command pipeline functionality"
+HOMEPAGE="
+ https://docs.red-dove.com/sarge/
+ https://pypi.org/project/sarge/
+ https://github.com/vsajip/sarge/
+"
+SRC_URI="
+ https://github.com/vsajip/sarge/archive/${PV/_p/.post}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+python_test() {
+ "${EPYTHON}" test_sarge.py -v || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/soupsieve/Manifest b/dev-python/soupsieve/Manifest
index 1202d64b1baf..8706deb1531d 100644
--- a/dev-python/soupsieve/Manifest
+++ b/dev-python/soupsieve/Manifest
@@ -1,3 +1,3 @@
DIST soupsieve-2.8.1.gh.tar.gz 154292 BLAKE2B 971d14a477439fe0631b1598c9018633f6362c6def56ef9a3121e30a9f211cb7089a2e8a67b261529d4f72c521cacc3f3e694c77b6c881232bbe065a2756eb8c SHA512 fa4f49209279174da2e47bfbd7d6b3b3d21717877eb53b1a635b1b6384bdfafffd89685a13423b639bc60151ba1ce199bb769958d8980f59107d56c60ca383f3
DIST soupsieve-2.8.2.gh.tar.gz 155542 BLAKE2B fdd3a6c14d9082ea69bc44c6bd876992dfd5b189f4e21f8741b774efd742c273a08b9454e750251765545b3eaa937e2ca857a0ecb609f5422e3365445b4aab59 SHA512 7013bb8d45554302b9bdaf9f446b76136142b03c314bc497b4fcb6701c7e918d58febccc268e2324983dc5e1a1a21f4f893c97dff1c0cb26c7531a18a4a6e6ca
-DIST soupsieve-2.8.gh.tar.gz 107516 BLAKE2B be8daf5ba55e8abf7f93c7c0ea37b6940a0c16ff126aed4cd407da464e413e956c156ba314b0f5fa9c648e47a96ba2b16baf6aa341b3f4f3c0d5a71a230f89fb SHA512 04cc9f0a526839cd72a0eab4a9a990fb645b8e910cff3f7bbfb9e9bf7e7af7de906c310320adcfe4102dc5ba12cfa215f4b04be01fce3016eda1e6be3080a1ca
+DIST soupsieve-2.8.3.gh.tar.gz 155487 BLAKE2B a6a9e2ba0d9e605a01360fd9f4f931cd71ab35b18c0522c9ae63507984f3071f1651dc4d5531c1cf124c9f8e5cad9a7afc86eda5e4167339807f74c371642a51 SHA512 4bc2702e36308959927b2e341bcf45439724c42b0452d1dc5b49c2b81fdd3f7094fd8caa3c45142c9e0b5ef36b88e77cf856210d895be49918953b7fe7437798
diff --git a/dev-python/soupsieve/soupsieve-2.8.ebuild b/dev-python/soupsieve/soupsieve-2.8.3.ebuild
index 66cb0464283c..645350b65422 100644
--- a/dev-python/soupsieve/soupsieve-2.8.ebuild
+++ b/dev-python/soupsieve/soupsieve-2.8.3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
BDEPEND="
test? (